Bug 30427 - No automatic UCC rollout when a previous version is already installed
No automatic UCC rollout when a previous version is already installed
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Erik Damrose
Lukas Walter
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 17:11 CET by Erik Damrose
Modified: 2014-06-12 09:20 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-02-13 17:11:39 CET
When configuring an automatic rollout one has to set continuation_prompt to false in the image.cfg or update the initrd to remove the question about repartition, and put the join information with ucc-image-set-join-information into the image.

If a previous UCC version was installed without continuation_prompt=false, the local initrd is loaded and wants confirmation to repartition. This option should be available via LDAP or cmdline.
Comment 1 Erik Damrose univentionstaff 2014-04-23 13:40:05 CEST
As it happens, there already is such a boot option - force_partition. It was just implemented erroneously.

QA should check if an UCC client can always be forced to repartition/reinstall - with PXE or local boot.

After verification, we should document this boot parameter

r49525 univention-ucc-initramfs 3.0.0-11.100.201404231333
Comment 2 Lukas Walter univentionstaff 2014-04-28 16:43:44 CEST
Boot option "force_partition" is working fine, overriding the "continuation_prompt" parameter contained in the image build configuration file.

Changelog: ok.


VERIFIED
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:05 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".